Bug 1344598 - Make golang-googlecode-sqlite noarch
Summary: Make golang-googlecode-sqlite noarch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: golang-googlecode-sqlite
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 7.5
Assignee: Tomas Hrcka
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On: 1330711 1405587
Blocks: 1445922
TreeView+ depends on / blocked
 
Reported: 2016-06-10 07:10 UTC by Yaakov Selkowitz
Modified: 2019-03-06 01:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-15 02:22:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch for rhel-7.3 (1.27 KB, patch)
2016-06-10 07:11 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2016-06-10 07:10:40 UTC
golang has been enabled on aarch64 for 7.3 in bug 1330711.  For feature parity with x86, this package also can and should be enabled.  As it it technically noarch, setting BuildArch accordingly is the proper way; it can be excluded from the composes by RCM if that's an issue.

Please let us know if you need any help getting this on the ACL.

Comment 1 Yaakov Selkowitz 2016-06-10 07:11:22 UTC
Created attachment 1166525 [details]
Patch for rhel-7.3

Comment 2 Yaakov Selkowitz 2017-02-02 06:25:48 UTC
Either this should be made noarch, or ExclusiveArch: %{go_arches}, for enablement of aarch64, ppc64le, and s390x.

Comment 3 Yaakov Selkowitz 2017-02-17 20:29:19 UTC
(In reply to Yaakov Selkowitz from comment #2)
> Either this should be made noarch, or ExclusiveArch: %{go_arches}, for
> enablement of aarch64, ppc64le, and s390x.

Due to how go_arches is provided, this actually needs to be:

+ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:x86_64 aarch64 ppc64le s390x}

Comment 4 Yaakov Selkowitz 2018-01-15 02:22:04 UTC
Nothing currently depends on this, nor have their been any repoclosure issues caused thereby.


Note You need to log in before you can comment on or make changes to this bug.